#!/bin/sh

set -eu

echo "==== STEP 1 : Installing crystal"
echo "---- Installing prerequisites"
apt-get update 
apt-get install -y \
	curl \
	gnupg2

REPOSITORY="Debian_12"
echo "deb http://download.opensuse.org/repositories/devel:/languages:/crystal/$REPOSITORY/ /" \
	| tee /etc/apt/sources.list.d/crystal.list

curl -fsSL "https://download.opensuse.org/repositories/devel:/languages:/crystal/$REPOSITORY/Release.key" \
	| gpg --dearmor \
	| tee /etc/apt/trusted.gpg.d/crystal.gpg > /dev/null

apt-get update
apt-get install -y crystal=1.10.1-1+2.1

